<html>
<head>
    <meta charset="UTF-8">
    <title>간단한 지도 표시하기</title>
    <script type="text/javascript" src="https://openapi.map.naver.com/openapi/v3/maps.js?ncpClientId=6msw8dshkf"></script>
</head>
<body>
<div id="map" style="width:100%;height:700px;"></div>

<script>
//	맵 초기화
var mapOptions = {
    center: new naver.maps.LatLng(37.290932, 127.4531513),
    zoom: 16
};
var map = new naver.maps.Map('map', mapOptions);

//	데이터 초기화
var datas = new Array();
var data = {
	name : 'SWH코딩',
	loc : [37.2938133, 127.4558164]
}
datas.push(data);
var data = {
	name : '증포중',
	loc : [37.287932, 127.4552513]
}
datas.push(data);

//	데이터 출력용 샘플
for (var i = 0; i < datas.length; i++) {
	console.log(datas[i].loc);
}

for (var i = 0; i < datas.length; i++) {
	//	이정표 등록
	var markerOptions = {
	    position: new naver.maps.LatLng(datas[i].loc[0], datas[i].loc[1]),
	    map: map
	};
	var marker = new naver.maps.Marker(markerOptions);
	
	//	이정표 내용 등록
	var infoWindow = new naver.maps.InfoWindow({
		content: '<div style="width:150px;text-align:center;padding:10px;">현 위치는 <b>"'+ datas[i].name +'"</b>.</div>'
	});
	
}
//	어떻게 해야할까?? 알아서 진행~~!!
//	네이버 맵 마커 이미지도 변경할 수 있도록 구글에 검색~!!!
</script>
</body>
</html>
